package com.fs.store.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;

/**
 * 运费模板对象 fs_shipping_templates
 * 
 * @author fs
 * @date 2022-03-15
 */
public class FsShippingTemplates extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 模板ID */
    private Long id;

    /** 模板名称 */
    @Excel(name = "模板名称")
    private String name;

    /** 计费方式 */
    @Excel(name = "计费方式")
    private Integer type;

    /** 地域以及费用 */
    @Excel(name = "地域以及费用")
    private String regionInfo;

    /** 指定包邮开关 */
    @Excel(name = "指定包邮开关")
    private Integer appoint;

    /** 指定包邮内容 */
    @Excel(name = "指定包邮内容")
    private String appointInfo;

    /** $column.columnComment */
    @Excel(name = "指定包邮内容")
    private Integer isDel;

    /** 排序 */
    @Excel(name = "排序")
    private Long sort;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public void setName(String name)
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setType(Integer type) 
    {
        this.type = type;
    }

    public Integer getType() 
    {
        return type;
    }
    public void setRegionInfo(String regionInfo) 
    {
        this.regionInfo = regionInfo;
    }

    public String getRegionInfo() 
    {
        return regionInfo;
    }
    public void setAppoint(Integer appoint) 
    {
        this.appoint = appoint;
    }

    public Integer getAppoint() 
    {
        return appoint;
    }
    public void setAppointInfo(String appointInfo) 
    {
        this.appointInfo = appointInfo;
    }

    public String getAppointInfo() 
    {
        return appointInfo;
    }
    public void setIsDel(Integer isDel) 
    {
        this.isDel = isDel;
    }

    public Integer getIsDel() 
    {
        return isDel;
    }
    public void setSort(Long sort) 
    {
        this.sort = sort;
    }

    public Long getSort() 
    {
        return sort;
    }


}
